svn::Revision Class Reference

`#include <revision.hpp>`

## Public Member Functions

| Revision (const svn_opt_revision_t *revision)
| Revision (const svn_revnum_t revnum)
| Revision (const svn_opt_revision_kind kind=svn_opt_revision_unspecified)
| Revision (const DateTime dateTime)
| Revision (const Revision &revision)
const svn_opt_revision_t * | revision () const
| operator svn_opt_revision_t * ()
svn_revnum_t | revnum () const
svn_opt_revision_kind | kind () const
| operator svn_opt_revision_kind () const
apr_time_t | date () const

## Static Public Attributes

static const Revision | START
static const Revision | BASE
static const Revision | HEAD
static const Revision | WORKING
static const Revision | UNSPECIFIED

## Detailed Description

Class that encapsulates svn_opt_revnum_t.

See also
  svn_opt_revnum_t

## Constructor & Destructor Documentation

svn::Revision::Revision | ( | const svn_opt_revision_t * | revision | ) |

Constructor

Parameters

  revision | revision information

svn::Revision::Revision | ( | const svn_revnum_t | revnum | ) |

Constructor

Parameters

  revnum | revision number

svn::Revision::Revision | ( | const svn_opt_revision_kind | kind = `svn_opt_revision_unspecified` | ) |

Constructor

Parameters

  kind |

svn::Revision::Revision | ( | const DateTime | dateTime | ) |

Constructor

Parameters

  dateTime | DateTime wrapper for apr_time_t

svn::Revision::Revision | ( | const Revision & | revision | ) |

Copy constructor

Parameters

  revision | Source

## Member Function Documentation

apr_time_t svn::Revision::date | ( |  | ) | const

Returns
  date

svn_opt_revision_kind svn::Revision::kind | ( |  | ) | const

Returns
  revision kind

Referenced by operator svn_opt_revision_kind().

svn::Revision::operator svn_opt_revision_kind | ( |  | ) | const

inline

See also
  kind (). Same function but with operator overloading

References kind().

svn::Revision::operator svn_opt_revision_t * | ( |  | ) |

inline

See also
  revision (). Same function but with operator overloading

const svn_opt_revision_t* svn::Revision::revision | ( |  | ) | const

Returns
  revision information

svn_revnum_t svn::Revision::revnum | ( |  | ) | const

Returns
  revision numver

## Field Documentation

const Revision svn::Revision::BASE

static

const Revision svn::Revision::HEAD

static

const Revision svn::Revision::START

static

const Revision svn::Revision::UNSPECIFIED

static

const Revision svn::Revision::WORKING

static

The documentation for this class was generated from the following file:

- revision.hpp